Loading...
Searching...
No Matches
common.h File Reference
`#include <stdint.h>`
`#include <stdlib.h>`
`#include <string.h>`

Go to the source code of this file.

## Macros

#define | MSG_DEBUG
#define | wpa_hexdump(x, args...)
#define | wpa_hexdump_key(x, args...)
#define | wpa_printf(x, args...)
#define | os_memcpy(x, y, z)
#define | os_memcmp(x, y, z)
#define | os_memset(x, y, z)
#define | os_malloc(x)
#define | os_free(x)
#define | __must_check

## Macro Definition Documentation

## __must_check

#define __must_check

## MSG_DEBUG

#define MSG_DEBUG

## os_free

#define os_free | ( |  | x | ) |

Value:
free(x)
x
uint32_t x

## os_malloc

#define os_malloc | ( |  | x | ) |

Value:
malloc(x)

## os_memcmp

#define os_memcmp | ( |  | x,
|  |  | y,
|  |  | z )

Value:
memcmp(x, y, z)

## os_memcpy

#define os_memcpy | ( |  | x,
|  |  | y,
|  |  | z )

Value:
memcpy(x, y, z)

## os_memset

#define os_memset | ( |  | x,
|  |  | y,
|  |  | z )

Value:
memset(x, y, z)

## wpa_hexdump

#define wpa_hexdump | ( |  | x,
|  |  | args... )

## wpa_hexdump_key

#define wpa_hexdump_key | ( |  | x,
|  |  | args... )

## wpa_printf

#define wpa_printf | ( |  | x,
|  |  | args... )